import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
//import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.Raw.TrayStatusUpdate',
})
export class TrayStatusUpdate extends VuexModule {
  SubmitCode: any = '';
  @MutationAction
  async out(params: any) {
    const result: any = await http.post(url.lanjuwms.raw.TrayStatusUpdate.out, params);
    const SubmitCode = result.code;
    return { SubmitCode };
  }
}

export default getModule(TrayStatusUpdate);
